/*
	File:		MailerWindow.cp

	Contains:	A AOCE-aware window base class
				
	Written by: Dave Falkenburg
	
	Copyright:	 1993-94 by Dave Falkenburg, all rights reserved.

	Change History (most recent first):
	
	To Do:		Just about everything
	
 */

#include <Types.h>
#include <OCEStandardMail.h>

#include "AppLib.h"
#include "MailerWindow.h"

#define	kCanContract			true
#define	kInitiallyExpanded		true
#define	kDefaultAuthIdentity	((AuthIdentity) 0)


TMailerWindow::TMailerWindow()
	{
	CreateWindow(kNormalWindow);
	}

TMailerWindow::~TMailerWindow()
	{
	}

WindowPtr
TMailerWindow::MakeNewWindow(WindowPtr behindWindow)
	{
	WindowPtr	aWindow;
	Point		where = {0,0};
	
	if (gHasColorQuickdraw)
		aWindow = GetNewCWindow(128,nil,behindWindow);
	else
		aWindow = GetNewWindow(128,nil,behindWindow);
		
	if ((aWindow != nil) && (SMPNewMailer(aWindow, where, kCanContract, kInitiallyExpanded, kDefaultAuthIdentity, nil, 0L) == noErr))
		return aWindow;

	DisposeWindow(aWindow);
	return (WindowPtr) nil;
	}

