#   File:       App.make
#   Target:     App
#   Sources:    :AppSpecific:App.cp
#               :AppSpecific:DocWindow.cp
#               :AppSpecific:ToolWindow.cp
#               :Lib:AppleEventHandling.cp
#               :Lib:AppLib.cp
#               :Lib:DialogUtils.cp
#               :Lib:DialogWindow.cp
#               :Lib:MailerWindow.cp
#               :Lib:Preferences.cp
#               :Lib:Window.cp
#   Created:    Monday, May 23, 1994 05:01:36 PM


PPCCPlus			=	PPCC
PPCCPlusOptions		=	-w conformance			
						-appleext on			
						-opt speed -inline all	
						-i :Interfaces:
						
.o		.cp
	{PPCCPlus} {PPCCPlusOptions} {depDir}{default}.cp -o {Targ}

POWERPCOBJECTS = 
		:AppSpecific:App.o 
		:AppSpecific:DocWindow.o 
		:AppSpecific:ToolWindow.o 
		:Lib:AppleEventHandling.o 
		:Lib:AppLib.o 
		:Lib:DialogUtils.o 
		:Lib:DialogWindow.o 
		:Lib:MailerWindow.o 
		:Lib:Preferences.o 
		:Lib:Window.o 

App  App.make  {POWERPCOBJECTS}
	PPCLink {POWERPCOBJECTS} 
			"{PPCLibraries}"InterfaceLib.xcoff 
			"{PPCLibraries}"StdCLib.xcoff 
			"{PPCLibraries}"DragLib.xcoff 
			"{PPCLibraries}"ThreadsLib.xcoff 
			"{PPCLibraries}"AOCELib.xcoff 
			"{PPCLibraries}"CPlusLib.o 
			"{PPCLibraries}"StdCRuntime.o 
			"{PPCLibraries}"PPCCRuntime.o 
			-main __cplusstart 
			-o App.xcoff
	makePEF -o App.pef							
			-l InterfaceLib.xcoff=InterfaceLib	
			-l StdCLib.xcoff=StdCLib			
			-l DragLib.xcoff=~DragLib			
			-l ThreadsLib.xcoff=~ThreadsLib		
			-l AOCELib.xcoff=~AOCELib			
			App.xcoff
	Duplicate -y App..rsrc {Targ}
	mergefragment -c -a -t 'pwpc' -n {Targ} App.pef {Targ}
	SetFile -t 'APPL' -c 'drf ' -m . {Targ}
