/*
 *	File:	GWorld.cp
 *	---------------------
 *
 *	GWorld is the file which actually creates the offscreen GWorld.
 *
 *
 */

#include "BrotWindow.h"
#include "ThreadBrot.h"

Boolean
BrotWindow::MakeGWorld( WindowPtr owner)
{
	OSErr		myErr;
	Rect		imageArea;
	GWorldPtr	tempOSImage;
	
	imageArea = owner->portRect;
	

	myErr = NewGWorld( &tempOSImage, kOSImageBitDepth, &imageArea, nil, 0, keepLocal);
	
	osImage = tempOSImage;

	if( myErr == noErr)
	{
		SetPort( (GrafPtr) osImage);
		EraseRect( &imageArea);

		SetPort( owner);
		return true;
	}
	else
	{
		DebugStr( "\pCouldn't allocate offscreen bit map!");
		return false;
	}
}