#ifndef __QueueThreads__
#define __QueueThreads__

class	QueueThreads;

#include "ThreadBrot.h"

typedef struct _threadQ {
	struct _threadQ		*prev;
	struct _threadQ		*next;
	ThreadBrot			*thread;
} ThreadQueue, *ThreadQueuePtr;


typedef	void (*IteratorPtr)( ThreadBrot *, long refcon);
class	QueueThreads {
public:
	ThreadQueue			*gThreadQueueHead;
	
public:
		QueueThreads( void);
		~QueueThreads( void);
		
void	QueueThread( ThreadBrot *who);
void	DeQueueThread( ThreadBrot *who);

void	TitleIsNumThrds( WindowPtr owner);
short	CountQueueThreads( void);
void	IterateOverQueues( IteratorPtr func, long refcon);
void	IteratorHelper( IteratorPtr func, long refcon);
void	KillAllThreads( void);
};

void	HaltThreads( ThreadBrot *thread, long refcon);
void	ContinueThreads( ThreadBrot *thread, long refcon);

void	Zoom( Point *where);

#endif
