#include "SortPicts.h"

void	SortPicts::UseSortFunc( SortFuncPtr sort)
{
	UseUpdateFunc( ::UpdateSortPict);
	
	sortFunc = sort;
}

void	SortPicts::Sort( void)
{	
	UseSortData();
	
	UseSortFunc( ::QSort);
	(*sortFunc)( this);
	Update();
	
	UnuseSortData();
}
